> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch uncategorized transaction counts

> Retrieve the count of categorized and uncategorized transactions for a range of months.
`start_year`, `start_month`, `end_year`, and `end_month` determine the range of months to fetch.
If not specified, range will start at January of the current year and end at the current month.



## OpenAPI

````yaml get /v1/businesses/{businessId}/notifications/uncategorized-monthly
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/notifications/uncategorized-monthly:
    get:
      tags: []
      summary: Fetch uncategorized transaction counts
      description: "Retrieve the count of categorized and uncategorized transactions for a range of months.\n\r`start_year`, `start_month`, `end_year`, and `end_month` determine the range of months to fetch.\n\rIf not specified, range will start at January of the current year and end at the current month."
      operationId: business.notifications.uncategorized-monthly.get
      parameters:
        - name: businessId
          in: path
          description: >-
            The UUID of the business to fetch the uncategorized monthly
            notifications for
          required: true
          schema:
            type: string
        - name: start_month
          in: query
          description: >-
            The start month (1-12) of the range to fetch uncategorized counts
            for. If specified, `start_year` must also be specified.
          required: false
          schema:
            type: integer
        - name: start_year
          in: query
          description: >-
            The start year of the range to fetch uncategorized counts for. If
            specified, `start_month` must also be specified.
          required: false
          schema:
            type: integer
        - name: end_month
          in: query
          description: >-
            The end month (1-12) of the range to fetch uncategorized counts for.
            If specified, `end_year` must also be specified.
          required: false
          schema:
            type: integer
        - name: end_year
          in: query
          description: >-
            The end year of the range to fetch uncategorized counts for. If
            specified, `end_month` must also be specified.
          required: false
          schema:
            type: integer
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonthlyCategorizationCounts'
        '404':
          description: >-
            Business is not found. This indicates the business id is invalid or
            the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    MonthlyCategorizationCounts:
      type: object
      properties:
        months:
          type: array
          items:
            $ref: '#/components/schemas/MonthUncategorizedTransactions'
          description: List of monthly categorization counts.
      required:
        - months
      description: Transaction categorization counts for a list of months.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    MonthUncategorizedTransactions:
      type: object
      properties:
        month:
          type: integer
          format: int32
          description: The month (1-12) for the categorization counts
          example: '12'
        year:
          type: integer
          format: int32
          description: The year for the categorization counts
          example: 2024
        uncategorized:
          type: integer
          format: int32
          description: The number of uncategorized transactions for the month
          example: 7
        categorized:
          type: integer
          format: int32
          description: The number of categorized transactions for the month
          example: 98
      required:
        - month
        - year
        - uncategorized
        - categorized
      description: Transaction categorization counts for a single month.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````